
html {
	scroll-behavior: smooth;
}

body { 
	margin: 0;
	padding: 0;
  background-image: url(backgrounds/darkwoodcomp.JPG);
  background-repeat: repeat;
	color: #000000;
}


img { max-width: 100% }

main {
	margin: 10px auto;
	max-width: 60rem;
}

section {
	margin: 0.5em auto;
  min-height: 20rem;
  min-width: auto;
	padding: 1em 2em;
  background: #fffef0;
  filter: url(#wavy2);
  box-shadow: 2px 3px 20px black, 0 0 60px #8a4d0f inset;
}

/*section.scrollend {
  min-width: auto;
  position: relative;
  height: 90px;
  z-index: 1;
  overflow: visible;
  filter: url(#wavy2);
}

section.scrollend img{
  z-index: 1;

  width: 175%;
  height: 150%;
  object-fit: cover;
}*/

.sidebar {
  height: 100%; /* Full-height: remove this if you want "auto" height */
  width: 160px; /* Set the width of the sidebar */
  position: fixed; /* Fixed Sidebar (stay in place on scroll) */
  z-index: 1; /* Stay on top */
  top: 0; /* Stay at the top */
  left: 0;
  display: flex;
  flex-direction: column;
  padding-top: 20px;
  gap: -1px;
  overflow: visible;
}

:root{
  --hideside: 25px;
  --hideside2: 20px;
  --hideside3: 23px;
  --showside: 160px;
}

.sidebar-scrl {
  padding: 6px 8px 6px 16px;
  height: 50px;
  width: var(--showside);
  font-weight: bold;
  text-align: left;
  text-decoration: none;
  font-size: 15px;
  color: #000000;
  background-image: url(backgrounds/Scroll.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  transform: translateX(calc(var(--hideside) - var(--showside)));
  transition: transform 300ms ease;
}


.sidebar-scrl:hover,
.sidebar-scrl:focus-visible {
  box-shadow: 2px 20px 20px black;
  transform: translateX(0);
  z-index: 0;
}

.sidebar-scrl.var1 {
  --hideside: 30px;
}

.sidebar-scrl.var2 {
  --hideside: 23px
}

.sidebar-scrl.var3 {
  --hideside: 27px
}

div.gallery {
  border: 1px solid #ccc;
}

div.gallery:hover {
  border: 1px solid #777;
}

div.gallery img {
  width: 100%;
  height: auto;
}

div.desc {
  padding: 15px;
  text-align: center;
}

* {
  box-sizing: border-box;
}

.regallery {
  padding: 0 6px;
  float: left;
  width: 24.99999%;
}

@media only screen and (max-width: 700px) {
  .regallery {
    width: 49.99999%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 500px) {
  .regallery {
    width: 100%;
  }
}

.clearfix:after {
  content: "";
  display: table;
  clear: both;
}